local myMod = ...

-- Register the monument
myMod:register({
	DataType = "MONUMENT",
	Id = "DECO_STUFF",
	Name = "DECO_STUFF_NAME",
	Description = "DECO_STUFF_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{ Name = "DECO_STUFF_GENERAL",
		BuildingPartList = {
			"DECO_STONES_PART",
			"DECO_STONES2_PART",
			"DECO_SINGLESTONEBIG1_PART",
			"DECO_SINGLESTONEMIDDLE1_PART",
			"DECO_SINGLESTONESMALL1_PART",
			"DECO_WOOD_PART",
			"DECO_WOOD2_PART",
			"DECO_TORCH_PART",
			"DECO_LAMP_PART",
			"DECO_BARREL1_PART",
			"DECO_GRAINSACK1_PART",
			"DECO_CRATE1_PART",
			"DECO_FENCE1_PART",
			"DECO_PILLORY1_PART",
			"DECO_WOODENSTOOL1_PART",
			"DECO_WOODENSTOOL2_PART",
			"DECO_WOODENBENCH1_PART",
			"DECO_STONEBENCH1_PART",
			"DECO_SHIELD1_PART",
			"DECO_FRONTBUILDING1_PART",
			"DECO_TOMBSTONE1_PART",
			"DECO_TOMBSTONE2_PART",
			--"WINDOW_WS1_ROOT_PART",
			"WINDOW_WS2_ROOT_PART"}
		}--[[,
		{ Name = "DECO_STUFF_TREES",
		BuildingPartList = {
			"DECO_TREEOAK1_PART",
			"DECO_TREEPINE1_PART",
			"DECO_TREEPOPLAR1_PART",
			"DECO_TREESYCAMORE1_PART"}
		}]]
	},
	RequiredPartList = {
		{ Category = "DECORATION", Quantity = 1 }
	},
    IsEditable = true,
	IsClearTrees = true
})
--[[
myMod:register({
	DataType = "UNLOCKABLE_BUILDING",
	Id = "UNLOCKABLE_CASTLE_BIG",
	Name = "UNLOCKABLE_CASTLE_BIG_NAME",
	Description = "UNLOCKABLE_CASTLE_BIG_DESC",
	EstateInfluenceCostList = {
		{ Estate = "KINGDOM", Quantity = 1 }
	},
	RelatedProp = "CASTLE_BIG"
})]]