local myMod = ...

myMod:registerPrefabComponent("models/bench.fbx/Prefab/wooden_benchPart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {1.8, 0.8}
})
myMod:registerPrefabComponent("models/bench.fbx/Prefab/stone_benchPart", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {1.8, 0.8}
})

myMod:registerPrefabComponent("models/stones.fbx/Prefab/stonePart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/stones.fbx/Prefab/stoneSmallPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/single_stones.fbx/Prefab/single_stone_big1Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/single_stones.fbx/Prefab/single_stone_middle1Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/single_stones.fbx/Prefab/single_stone_small1Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/wooden_logs.fbx/Prefab/wooden_logsPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/wooden_logs.fbx/Prefab/wooden_planksPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/torch.fbx/Prefab/torchPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/torch.fbx/Prefab/lampPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/wooden_cb.fbx/Prefab/barrelPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/wooden_cb.fbx/Prefab/wooden_cratePart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/wooden_fence.fbx/Prefab/wooden_fencePart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/wooden_pillory.fbx/Prefab/pilloryPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/front_building_2am.fbx/Prefab/WallPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/tombstone.fbx/Prefab/tombstoneBigPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/tombstone.fbx/Prefab/tombstoneSmallPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/grain_sack.fbx/Prefab/grain_sackPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/stool.fbx/Prefab/stoolPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/stool.fbx/Prefab/stool2Part", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/shield.fbx/Prefab/shieldPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/bench.fbx/Prefab/wooden_benchPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/bench.fbx/Prefab/stone_benchPart", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/scalable_windows_1a.fbx/Prefab/windows/windows_small1/RootPart_WS1", {
	DataType = "COMP_GROUNDED"
})
myMod:registerPrefabComponent("models/scalable_windows_1a.fbx/Prefab/windows/windows_small2/RootPart_WS2", {
	DataType = "COMP_GROUNDED"
})

-- Override building zone
myMod:registerPrefabComponent("models/front_building_2am.fbx/Prefab/WallPart/wall_1Part", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZoneData = {
		Polygon = polygon.createRectangle({ 4, 1 },{ 0,-2 })
	}
})
myMod:registerPrefabComponent("models/front_building_2am.fbx/Prefab/WallPart/wall_2Part", {
	DataType = "COMP_BUILDING_PART",
	HasBuildingZone = true,
	BuildingZoneData = {
		Polygon = polygon.createRectangle({ 1, 4 }, { 2, 0 })
	}
})

-- Register particle system
myMod:registerPrefabComponent("models/torch.fbx/Prefab/torchPart/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "TORCH_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})

myMod:registerPrefabComponent("models/torch.fbx/Prefab/lampPart/SmokeEmitter2", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "LAMP_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = true
})
--[[
myMod:registerPrefabComponent("models/torch.fbx/Prefab/torchPart/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER",
	ParticleSystem = "TORCH_PARTICLE_SYSTEM",
	IsPlaying = true,
	IsEmitting = false
})

myMod:registerPrefabComponent("models/torch.fbx/Prefab/torchPart/SmokeEmitter", {
	DataType = "COMP_PARTICLE_EMITTER_TOGGLE",
	Enabled = false
})]]